zabbix_export:
  version: '6.0'
  date: '2023-08-10T07:48:47Z'
  groups:
    - uuid: 1b837a3c078647049a0c00c61b4d57b5
      name: Hypervisors
  hosts:
    - host: 'test 1'
      name: 'test 1'
      groups:
        - name: Hypervisors
      interfaces:
        - interface_ref: if1
      items:
        - name: 'Ping item'
          key: agent.ping
          delay: 5s
          interface_ref: if1
          tags:
            - tag: tag
              value: value
      inventory_mode: DISABLED
    - host: 'test 2'
      name: 'test 2'
      groups:
        - name: Hypervisors
      interfaces:
        - interface_ref: if1
      items:
        - name: 'Ping item'
          key: agent.ping
          delay: 5s
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '2'
          interface_ref: if1
      inventory_mode: DISABLED
    - host: 'test 3'
      name: 'test 3'
      groups:
        - name: Hypervisors
      interfaces:
        - interface_ref: if1
      items:
        - name: 'Ping item'
          key: agent.ping
          delay: 5s
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '3'
          interface_ref: if1
          tags:
            - tag: tag
              value: value
        - name: 'Calculated item'
          type: CALCULATED
          key: calc.ping
          delay: 10s
          value_type: FLOAT
          params: 'sum(last_foreach(/*/agent.ping?[group="Hypervisors"]))'
        - name: 'Calculated item - with macro'
          type: CALCULATED
          key: calc.ping.macro
          delay: 10s
          value_type: FLOAT
          params: 'sum(last_foreach(/*/agent.ping?[group={$GROUP}]))'
        - name: 'Calculated item - Tag'
          type: CALCULATED
          key: tag.calc.ping
          delay: 10s
          value_type: FLOAT
          params: 'sum(last_foreach(/*/agent.ping?[tag="tag:value"]))'
        - name: 'Calculated item - Tag - macro'
          type: CALCULATED
          key: tag.calc.ping.macro
          delay: 10s
          value_type: FLOAT
          params: 'sum(last_foreach(/*/agent.ping?[tag="tag:{$VALUE}"]))'
      macros:
        - macro: '{$GROUP}'
          value: Hypervisors
        - macro: '{$VALUE}'
          value: value
      inventory_mode: DISABLED
